// essential_ROM_Commands.c
#include "essential_ROM_CommandsHEAD.h"		
#include "searchRomHEAD.h"	 


		 
unsigned char FoundROM[MAX_NUM_OF_ROMCODES][8]; // MAX_NUM_OF_ROMCODES wurde in "essential_ROM_CommandsHEAD.h" festgelegt
unsigned char numDev;



unsigned char OWFindAll()
{
	unsigned char temp_numDev, i, j, rslt;

	// reset search-state (no found roms)
	for (i = 0; i < MAX_NUM_OF_ROMCODES; i++)
	{
		for (j = 0; j < 8; j++) FoundROM[i][j] = 0;
	}
	temp_numDev=0;

	// begin search
	rslt = OWFirst();
	if (rslt) rslt = OWVerify(); // Verify presence of device ROM_NO
	while (rslt && (temp_numDev < MAX_NUM_OF_ROMCODES))
	{
		for (i = 0; i<8; i++)
		{	// Store found ROM-number of ROM_NO-buffer in FoundROM
				FoundROM[temp_numDev][i] = ROM_NO[i];
		}
		temp_numDev++;
		rslt = OWNext(); // search for other devices
		if (rslt) rslt = OWVerify();
	}
	numDev = temp_numDev;

	return numDev;
}	  